%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

%global pypi_name pyuv

Name: python-pyuv
Version: 1.2.0
Release: 1%{?dist}
Summary: A Python module which provides an interface to libuv       

License: MIT     
URL: https://github.com/saghul/pyuv    
Source0: https://pypi.python.org/packages/source/p/pyuv/%{pypi_name}-%{version}.tar.gz

#BuildArch:      
BuildRequires:  python2-devel libuv-devel python-tox python-sphinx python-nose
%if %{with python3}
BuildRequires:  python3-devel libuv-devel python3-tox python3-sphinx python3-nose
%endif # with python3

%global common_desc \
pyuv is a Python module which provides an interface to libuv.\
libuv is a high performance asynchronous networking and platform\
abstraction library.libuv is built on top of epoll/kequeue/event \
ports/etc on Unix and IOCP on Windows systems providing a consistent\
API on top of them.

%description
%{common_desc}

%if %{with python3}
%package -n  python3-%{pypi_name}
Summary: A Python 3 module which provides an interface to libuv

%description -n python3-%{pypi_name}
%{common_desc}

This package contains python3 build.

%endif # with python3


%prep
%setup -qc -n %{pypi_name}-%{version}
mv  %{pypi_name}-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build_ext --use-system-libuv
popd

%if %{with python3}
pushd python3
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build_ext --use-system-libuv
popd
%endif # with python3


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd


%check
pushd python2
%{__python2} setup.py test
# Disabled for now since they require Internet access
#tox
popd

%if %{with python3}
pushd python3
%{__python2} setup.py test
# Disabled for now since they require Internet access
#python3-tox
popd
%endif


%files
%license python2/LICENSE
%doc python2/AUTHORS python2/ChangeLog python2/README.rst python2/TODO
%{python2_sitearch}/*

%if %{with python3}
%files -n  python3-%{pypi_name}
%license python3/LICENSE
%doc python3/AUTHORS python3/ChangeLog python3/README.rst python3/TODO
%{python3_sitearch}/*
%endif # with python3


%changelog
* Tue Feb 09 2016 Athmane Madjoudj <athmanem@fedoraproject.org> 1.2.0-1
- Initial spec release.

